Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.monitoring.core.registry
Enum TraceRegistry

    java.lang.Object
      java.lang.Enum<TraceRegistry>
          kieker.monitoring.core.registry.TraceRegistry

All Implemented Interfaces:
  Serializable, Comparable<TraceRegistry>

    public enum TraceRegistry

extends Enum<TraceRegistry>

Since:
  1.5
Author:
  Jan Waller

Enum Constant Summary
`INSTANCE` The singleton instance.

Method Summary
`TraceMetadata` | `getTrace()` Gets a Trace for the current thread.
`TraceMetadata` | `registerTrace()` This creates a new unique Trace object and registers it.
`void` | `setParentTraceId(Thread t, long traceId, int orderId)` Sets the parent for the next created trace inside this thread.
`void` | `unregisterTrace()` Unregisters the current Trace object.
`static TraceRegistry` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TraceRegistry[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSTANCE

    public static final TraceRegistry INSTANCE

  The singleton instance.

Method Detail

### values

    public static TraceRegistry[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TraceRegistry c : TraceRegistry.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TraceRegistry valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getTrace

    public final TraceMetadata getTrace()

  Gets a Trace for the current thread. If no trace is active, null is returned.

  Returns:
    Trace object or null

### registerTrace

    public final TraceMetadata registerTrace()

  This creates a new unique Trace object and registers it.

  Returns:
    Trace object

### unregisterTrace

    public final void unregisterTrace()

  Unregisters the current Trace object. Future calls of getTrace() will either return null or the enclosing trace object.

### setParentTraceId

    public final void setParentTraceId(Thread t,
                                       long traceId,
                                       int orderId)

  Sets the parent for the next created trace inside this thread. This method should be used by probes in connection with SpliEvents.

  Parameters:
    `t` - the thread the new trace belongs to
    `traceId` - the parent trace id
    `orderId` - the parent order id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net